JBOSS4 出来了! 我想问,为何不支持EJB3.0 ?

04-10-08 cute
JBOSS4 出来了! 我想问,为何不支持EJB3.0?

jboos4 实现了J2EE1.4 规范。

其实,我想学EJB3.0 听说简单很多。

这下看来要等到JBOSS5 了。。。

J2EE1。4 规范如下:

=====================

J2EE Platform Specification 1.4

J2EE Connector Specification 1.5

J2EE Deployment API Specification 1.1

J2EE Management Specification 1.0

ECperf 1.1

Enterprise JavaBeans Specification 2.1

Enterprise JavaBeans to CORBA Mapping 1.1

Java API for XML Processing Specification 1.2

Java API for XML Registries Specification 1.0

Java API for XML-based RPC Specification 1.1

Java Authorization Contract for Containers 1.0

Java IDL API

Java Naming and Directory Interface Specification 1.2.1

Java Message Service Specification 1.1

Java Servlet Specification 2.4

Java Transaction API Specification 1.0.1B

Java Transaction Service Specification 1.0

JDBC Specifications, 3.0, 2.1, and Optional Package API (2.0)

JavaBeans Activation Framework Specification 1.0.2

JavaMail API Specification 1.3

JavaServer Pages Specification 2.0

RMI over IIOP

SOAP with Attachments API for Java Specification 1.2

xin123
2004-10-08 21:23
其实3.0也只是一个规范文挡,在做项目的时候发现虽然比EJB以前的版本有些补充,JBOSS4是支持3.0的.只是在架构上花费了大量的时间,很不值得,

banq
2004-10-19 10:08
可以的,看这里:

http://www.jboss.org/ejb3

猜你喜欢